zabbix_export:
  version: '7.4'
  host_groups:
    - uuid: f2481361f99448eea617b7b1d4765566
      name: 'Discovered hosts'
  hosts:
    - host: test2
      name: test2
      groups:
        - name: 'Discovered hosts'
      discovery_rules:
        - name: '2nd level LLD'
          type: NESTED
          key: 'lld_trap[{#L0},{#L1}]'
          parent_discovery_rule:
            key: 'lld_trap[{#L0}]'
          lld_macro_paths:
            - lld_macro: '{#L2}'
              path: $.level_2
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_2
        - name: '1st level LLD'
          type: NESTED
          key: 'lld_trap[{#L0}]'
          item_prototypes:
            - name: '1st level item prototype'
              type: TRAP
              key: 'trap1[{#L0},{#L1}]'
              trigger_prototypes:
                - expression: 'last(/test2/trap1[{#L0},{#L1}])<>1'
                  name: '1st level Trigger prototype {#L0} {#L1}'
                  priority: WARNING
          graph_prototypes:
            - name: '1st level Graph prototype {#L0} {#L1}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: test2
                    key: 'trap1[{#L0},{#L1}]'
          host_prototypes:
            - host: '1st Level Host prototype {#L0} {#L1}'
              name: '1st Level Host prototype {#L0} {#L1}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: trap
          lld_macro_paths:
            - lld_macro: '{#L1}'
              path: $.level_1
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_1
        - name: 'Root level LLD'
          type: TRAP
          key: trap
          item_prototypes:
            - name: 'Root level item prototype'
              type: TRAP
              key: 'trap0[{#L0}]'
              trigger_prototypes:
                - expression: 'last(/test2/trap0[{#L0}])<>0'
                  name: 'Root level Trigger prototype'
                  priority: WARNING
          graph_prototypes:
            - name: 'Root level Graph prototype {#L0}'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: test2
                    key: 'trap0[{#L0}]'
          host_prototypes:
            - host: 'Root level Host prototype {#L0}'
              name: 'Root level Host prototype {#L0}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          lld_macro_paths:
            - lld_macro: '{#L0}'
              path: $.level_0
